Precise-5.5.94 újra

Pupletek, Új puppy változatok, veruiók, ISO fájlok,
ticoo1
Hozzászólások: 322
Csatlakozott: 2014.10.21. 08:58

Precise-5.5.94 újra

Hozzászólás Szerző: ticoo1 » 2019.01.05. 16:11

Sziasztok!

Egy kicsit kísérleteztem a Puppy Precise 5.5.94-gyel. Arra voltam kíváncsi, hogy mi lesz, ha a legújabb, vagy kicsit igényesebb böngészőt rakok bele. Készítettem egy-egy variációt a PaleMoon-28.2.2-vel, a Firefox-64.0-val és a Google-Chrome-48....-tal.

A PaleMoon könnyen telepíthető, a Firefox kicsit macerásabb. Rendeben működnének, de sajnos a youtube élő műsorát nem akarják lejátszani, ha fejre állok akkor sem. Még kellene foglalkozni vele, de 1 GB össz memóriával azért szépen elketyegnek.

A Google-Crhome remekül működik, az élő közvetítéseket is rendben megjeleníti. Igazából az lepett meg, hogy 1 GB ram mellett is akadozás nélkül lehet használni. Nem fagy le, de a Facebook-ot nem néztem, mivel nem használom. Így, majd más megmondja, hogy működik-e vagy sem. Tesztre készítettem egy Office változatot is, van benne SMPlayer-18.10 is.

A repónkon van: https://sourceforge.net/projects/puppys ... se-5.5.94/
Képernyő.jpg
Képernyő.jpg (287.81 KiB) Megtekintve 272 alkalommal
1 GB ram GChrome.jpg
1 GB ram GChrome.jpg (421.79 KiB) Megtekintve 272 alkalommal
GChrome-youtube-élő.jpg
GChrome-youtube-élő.jpg (398.95 KiB) Megtekintve 272 alkalommal

ticoo1
Hozzászólások: 322
Csatlakozott: 2014.10.21. 08:58

Re: Precise-5.5.94 újra

Hozzászólás Szerző: ticoo1 » 2019.01.05. 16:12

És még egy...
GChrome-Office.jpg
GChrome-Office.jpg (519.85 KiB) Megtekintve 271 alkalommal

nocsak
Hozzászólások: 116
Csatlakozott: 2014.09.29. 15:01

Re: Precise-5.5.94 újra

Hozzászólás Szerző: nocsak » 2019.01.05. 21:56

Üdv!
Először is Boldog új évet!

Másodszor pedig a firefox live műsoraihoz annyit, hogy én nem véletlenül fordítottam ffmpeget az LX7-re... namost... lévén hogy precise egy teszt erejéig megnézem, hogy muzsikál az LX7 ffmpeg csomagom ezzel a puplettel... ha a turmix működőképes kombót ad, akkor elkezdek újramotiválódni. :)
De már előre is köszi a munkád, és elismerésem!

---
Update!

Jelentem az apulse csomagommal LX7-essel, a 3.4.2-es ffmpegével és a 63.0.3-as firefox-szal (+ff szkriptemmel!!) működőképes. A problema onnantól viszont, hogy ha engedjük 64 esre frissülni konstans fennáll, libatomic.so.1 az újabb mumus, így nem javallt! Ezt meg gondolom forrásból fordítós mint mi más is volna....

Update2!

Jelentem összeomlik a firefox ha csatolmányok gombra kattintok, így nem tudom mellékelni a képet amin látszik a live videó lejátszás...

Update3!

PPM Update után libgtk-3-dev és minden függőségének függőségeinek függőségének telepítése után hajlandó csatolni a képet mégis, íme:
capture14579.png
capture14579.png (648.23 KiB) Megtekintve 245 alkalommal

Gyakorlatilag elölről lehet kezdeni a puplettel kapcsolatban az összes függőségek vadászását, ahhoz hogy LX7 szintűre lehessen hízlalni... stb. stb.

ticoo1
Hozzászólások: 322
Csatlakozott: 2014.10.21. 08:58

Re: Precise-5.5.94 újra

Hozzászólás Szerző: ticoo1 » 2019.01.06. 08:25

Köszönöm!

A Firefox-szal kapcsolatban csak annyit, hogy nem véletlenül írtam, "macerásabb" a beillesztése. Valóban úgy van, hogy ahányszor frissítem a Firefox-ot, annyiszor kezdhetem elölről a "vadászatot". Igazából "NTamas" által leírtakat - mikor részletesen elemezte a Firefox-ok lelkivilágát - kellene alkalmazni, vagyis meg kell keresni azt a verziót, amellyel minden rendben van és azt kell alkalmazni :!: és Neked is ebben van igazad. Ha szeretnénk egy "régifajta", régi gépekkel is használható puplettet, akkor kompromisszumot kell kötni, hogy ne legyen belőle egy hatalmas, ram zabáló ISO. Még annak is örülök, hogy sikerült "rábeszélni" az Abiword-öt a helyesírás ellenőrzésére ezen régi puppy-n.

Egyébiránt az izgat a legjobban, hogy mi van a GChrome-val 1 GB ram esetében. Ha jó, akkor lehet, hogy megéri továbbgondolni, vagy a Raring-ot, de az sokkal több memóriát igényel.

A Raringot is és ezt is csak arra szántam, hogy lehet-e kis méretben olyat összerakni, amely ma is használható netezésre.

Mj.: egy kisméretű "Unicornot" is csináltam már, ami jobban teljesít. A cél, hogy kicsi legyen és régebbi gépeken is fusson, de sajnos ennek is több ram kell (alapvetően frugálról beszélünk). Pedig jó lenne 1 GB-on belül tartani.

nocsak
Hozzászólások: 116
Csatlakozott: 2014.09.29. 15:01

Re: Precise-5.5.94 újra

Hozzászólás Szerző: nocsak » 2019.01.06. 10:21

Na, az alap helyzet az, hogy mindannyiótoknak igaza van, de azt azért érdemes észben tartani, hogy a visszamenőleges verziókkal a biztonság oltárán is áldozunk. Persze egy egy új firefox verzióba megjelenik némi csilli villi újítás is, azért ad némi biztonságosabb böngészési lehetőséget talán... aztán az is más kérdés, hogy egy régi pupletet az amúgy is hiányos trükközős libes huzavona mennyire lassít élvezhetetlenre.

Más: Ahogy olvasom, más is küzd az UEFI új Puppy problémával. Itt az ezt megelőző hozzászólásomban világosság vált, hogy egy régi csontváz jellegű puppy-t mi munka felturbózni, szintre hozni, mint egy 7.5CE Xenial-t például. Bár teszem hozzá, hogy a régebbi pupletekbe villámgyorsan lehetett vlc-t is fabrikálni működőképesen, most meg na mindegy is. Egy régi puplet szinten tartása a fordítással, csomagkészítéssel, firefox lekövetéssel, nem egy emberes meló. Én ezért álltam meg, mert időm nincs ennyi. Az új puppyknál meg ott a 32 bit 64 bit mizéria és a méretesedő iso és sfs emiatt. Szóval melyik ujjamba harapjak? Persze ha van valakinek ötlete, szívesen fogadom, de ahogy Discordon is írtam ezt most is tartom, úgy nem lehet fejleszteni, hogy kijön egy új kernel, hozzá egy új kiadás, és az új és komplexebb hibák megoldására kevesebb idő marad. Túlgyorsult a világ... ez már nem Stack, ez már System Overflow.... :D

NTamas
Hozzászólások: 1515
Csatlakozott: 2014.06.19. 13:36

Re: Precise-5.5.94 újra

Hozzászólás Szerző: NTamas » 2019.01.06. 11:18

Az 1GB-on belül tartani az egy szép ábránd, de.......
De gondolj bele, frugall telepítéskor gyakorlatilag a puppy a memóriában/ból fut, a legritkább esetben fordul a merevlemezhez, leginkább akkor is az azon létrehozott (ha egyáltalán létrehozták!) swap pratíciót használja, ha használja.
Régi gépeken vedd figyelembe, hogy a fizikai memóriából van kihasítva a videórész memóriája, gépektől függően x ram MB, ami ugye már eleve csökkenti a 1GB ram ot.(abból vesz el, másra már nem használható ramterületet.)
Ott van ugye az oprendszer ramfoglalása, típutól függő, hogy mennyi, az is a felhasználható memória méretét csökkenti.
Persze lehet a puppyban olyan optimalizációt, beállítást létrehozni, amivel a kezdeti, -amikor az oprendszeren kívül semmi más nem megy- ramfoglalást lehet minimalizálni, de őszintén, azzal nem sokra mész. Ugyanis bizonyos funkciók amiknek a kezdeti betöltését megakadályozva nyersz némi memóriát, azon funkciók a normális webböngészészhez, filmnézéshez, letöltéshez majd kelleni fognak, és azok akkor be is fognak töltődni, vagyis megint csökkenni fog a felhasználható memóriaméret, pedig még nem is indítottál el egy böngészőt sem!
Ha meg most azt is elindítod, fajtától függően az is jókora memóriát le fog foglalni magának, főleg az ismert memóriazabáló verziók, pl. Firefox, Chrome stb.
Ezért használunk inkább kis memória igényű webböngészőket, lásd Pl. a régebbi Seamonkey, Midori verziók, sajnos a legújabb Seamonkeynak is megnőtt már a memória igénye.Viszont az utolsó Midori ebből a szempontból még jól teljesít, és már a html5 sem akadály nála.
Kb. ekkor már úgy 6-700MB ramfoglalásnál tartunk, és csak egy webböngésződ van megnyitva, egyetlen, üres weblappal. Ha most elkezdesz lazán böngészni, több oldalt megnyitni, flash videót, netán html5-ös videót nézni, -ez utóbbi amúgy is megfogja a régi gépeket- ismét csökkenni fog az 1GB ramból még megmaradt memóriád mérete. Ha még ezt megtetézed azzal, hogy netán elindítasz egy másik programot, pl. egy külső levelezőprogramot, ftp programot, torrent alkalmazást, -csupa olyan átlagos dolgokat, amik a napi nethasználat kellékei- akkor könnyen kifogyhatsz a szabad memóriából.
Régi gépekhez inkább ajánlatos memória bővítést végrehajtani, akár használt memóriákat olcsóban beszerezni, és ha lehet, és van mód rá, -ez laptopokban nem biztos, hogy megoldható- olyan videó kártyára cserélni a meglévőt, ami nem a gép fizikai memóriáját használja, hanem saját memóriával bír. Itt elsősorban a laptopok, főleg a régebbiek lesznek gondban, mert azokon szinte sohasem cserélhető ki a beépített, netán az alaplapra fixen ráépített videórész.
Ha meg a netes videózásnál tartunk, akkor a modern videókhoz szükséges kodeckek megléte, betöltése is helyfoglaláshoz vezethet, szóval az az 1GB Ram jól hangzik, de inkább bővítsd annak a méretét, és ne egy jól bevált puppyt butíts le, hanem használj egy normálisat, több(kibővített) memóriával, jobban jársz.
Természetesen az olyan régi gépeken, ahol a memória bővítés már nem végrehajtható, -vagy szabad, üres foglalat, vagy már esetleg nem kapható, régi fajtájú memória miatt, ott gondok lehetnek, de oda akkor sem a mai, modern memóriazabáló (pl. Chrome) webböngészőket tartalmazó lebutított puppykat kell használni, hanem normál, funkciókban nem korlátozott oprendszert+kis memóriát használó webböngészőt.
Nem véletlen, hogy egyes puppykban a webböngésző szerepét a Midori, és hasonló böngészők alkotják.
Normál 571-es Precise Puppyhoz esetleg kipróbálható még a régebbi, de jól működő Vivaldi böngésző is, nálam meglepően jól teljesített, ezért merem ajánlani.
Sőt még a Windows XP-vel szerelt tartalék kis gépen jól fut a Vivaldi, kényszerűségből most ezt kell használnom, ez egy igen öreg Asrock gép, WinXP és két 571-es Precise puppy van rajta, (az eddig használt MSI cuccokat tartalmazó nagyobbik gépem, többször is hivatkoztam már rá, sajnos ez karácsony előtt egy tápegység megszaladás miatt elhalálozott!) csak a Vivaldi weboldaláról a még letölthető, utolsó XP/Vista-n futó Vivaldi.1.0.435.46.exe (35MB) verziót kell használni,
Kép
nos, ez meglepően jól teljesít még az XP alatt is ezen a több, mint 14 éves! öreg masinán! Igaz, ebben már "rettentően" sok, 1.5 GB Ram van, és saját, 128 MB memóriás NVidia Geforce MX 440-es videókártya.

willy36
Hozzászólások: 123
Csatlakozott: 2017.05.16. 18:43

Re: Precise-5.5.94 újra

Hozzászólás Szerző: willy36 » 2019.01.06. 13:11

Szia !
Egész gyors kis rendszer lett, de ajánlom, telepítsd fel az mpv playert, mert csak utána ment a palemoon-os puppy-don az online stream tv. Ja, és a tárolójában nincs sm és vlc player sem, vagy ki tudja milyen ősvalami, azt is érdemes bedobni .pet-ből. feltettem a Softmaker freeoffice 2018 csomagját, szépen elindult. Még nézegetem, mit tud, egyenlőre eddig a nagy része rendben számomra

ticoo1
Hozzászólások: 322
Csatlakozott: 2014.10.21. 08:58

Re: Precise-5.5.94 újra

Hozzászólás Szerző: ticoo1 » 2019.01.07. 09:46

willy36!

Köszönöm, hogy ránéztél. De ezen puppy-nál is csak az volt a kérdés, hogy érdemes-e egyáltalán ilyen régi puppy-kal foglalkozni, vagy sem. Már kiraktam a repóra egy Unicorn-os variációt is, ugyanezen célból. Na aztán ahhoz még tároló sincs! :mrgreen: , vagyis "vadászni" kell mindent.

NTamas! Teljesen igazad van Neked is. (De látom hiába szált el a géped, azért még van egy remek videókarid! :lol: )

Kellene húzni egy határt, hogy mit értünk "régi gép" alatt. Szerintem 2 mag és min. 1,5-2 BG RAM elfogadható feltétel lehetne (10-12 éves gépek zömmel ilyenek), mivel az új böngészőknek min. 1 GB RAM kell a rendszerigényen felül.

Kernelből is célszerű lenne egy-két variációt kiválasztani (Pae, NoPae, 32-64 bit) és utána ahhoz alakítani a puppy-kat.

Azt is el kellene dönteni, hogy 32- vagy 64 bit legyen az irány. Nyilván a 64-et célszerű előtérbe helyezni.

(Mj.: Csökkent a Puppy iránti érdeklődés. Persze, hogy csökkent, mivel a "méret" már nem fontos, lassan eltűnnek-eltűntek a régi 1 magos, kevés ram-os gépek. Az USB-3 már a sebességet is megoldotta és az sem mai "gyerek". Vagyis a portable megoldások is reálisan használhatók. De a Puppy akkor is egyszerűen kezelhető, alakítható és használható!)

NTamas
Hozzászólások: 1515
Csatlakozott: 2014.06.19. 13:36

Re: Precise-5.5.94 újra

Hozzászólás Szerző: NTamas » 2019.01.07. 11:16

... (De látom hiába szált el a géped, azért még van egy remek videókarid! :lol: )...
jah, alapfeladatokra még ma is elég, -oprendszer+office- de másra nem, pl. Puppy alá még a Kodi-t sem lehet feltenni, mert a kártya natívan nem támogat Open Gl-t, az meg ugye kellene a Kodi-nak, enélkül fel sem települ. (próbáltam! - nem megy! :( ) Windowsra elvileg jó, mert ott a kártya windowsos drivere miatt működik a Kodi, -jelenleg is rajta van, és szépen működik az XP-hez való utolsó 12.3-as Frodó verzió, (az XP miatt modernebb verzió már nem tehető rá!) de hát az az XBMC-s Frodó már öreg, és a mai addonok meg arra nem tehetők fel. Viszont mint alap MédiaCenter alkalmazás, még ma is működik, használható!
A Kodihoz/Frodó-hoz egyedül a mostani Médiaklikk addons és az M4 addons, valamint az Indavideó addons tehető fel, és működik rajta, -de azok legalább rendben mennek is!- Így ezzel a három addos-al lefedhetőek és nézhetőek a közszolgálati műsorok a Kodival, (bocs, ez még XBMC névre hallgat! :) ) továbbá a Simple Playlist-el meg a többi, m3u-ban tárolt iptv linkek is lejátszhatóak ezen a windowsos Frodó verzión, és az utóbbi m3u-s iptv linkek természetesen a gépen lévő Puppykon is megjeleníthetőek, tehát azért az öreg gépből is ki lehet ám hozni a maximumot, csak egy kicsit gondolkodni kell a megoldáson.(lásd az említett NVidia videókártya hátrányának kiküszöbölése valamennyire)
---------------------------------------------------------------------------------------------------------
De nem ezért írtam, hanem a kérdésedre szeretnék némi tippet adni, nevezetesen, hogy hol húzzuk meg azt a bizonyos határt a régi gépek esetében.
Te 10-12 évben húzod meg a határt, és az egymagos, 1GB-os gépeket már nem sorolod ide. Azt kell, hogy mondjam, jogosan!
Most, hogy visszakényszerültem erre a veterán -több, mint 14 éve működik már!- Pc-re, sajnos azt kell, hogy mondjam, kínszenvedés ezen dolgozni.
Természetesen ez az ilyen gépeken alapból meglévő Windows XP-esetleg Vista verziókra vonatkozik. Sokan megpróbálkoznak ilyen régi masinára W7-Thin Pc-t telepíteni, ami elvileg kiút lehetne, de....sok esetben nem kiút, hanem zsákutca! Tudom, mert én is próbáltam mindhárom modernebb oprendszert, még a Thin-pc az, ami a legjobban ment ezen az öreg gépen, de vegyük azért figyelembe, hogy ez erősen gépfüggő dolog ám! Az ilyen öreg gépekben, mint az enyém is, sajnos gyakori megoldás az Intel Celeron procik alkalmazása, és hiába a 2.4 - 2.8 Ghz a működési frekvencia a legtöbb esetben, az egymagos kivitel miatt, na meg maga a Celeron miatt alapvetően lassú a gép. Tehát a Windowsos vonal, mint írtam, zsákutca ezen gépeknél. A P4-s proci az jó lenne, de azt is csak 2.8 - 3 Ghz szinten érdemes számításba venni, és azok a P4-es procik bizony igencsak melegedős fajták, és energiazabálóak!
OK, tegyünk rá Puppy-t, de melyiket?
Te a Wary verziók átalakítását, modernizálását hoztad fel, én azt mondom, nem célszerű a Precise Puppy sorozat alá menni, és azokból is inkább a viszonylag frissebb, 571-es sorozatból, és szerintem a 3.9.11-es kernellel. Csipesz ugyan ragaszkodik a Precise Retró-ban használt alacsonyabb verziószámú kernelhez, az ö szempontjai miatt, ez rendben is lenne, de, ha csak normál webezésre, és az irodai dolgok futtatására kell az a puppy, akkor már inkább a Precise 571 k3.9.11 verziót lenne szerintem célszerű preferálni.
Nem beszélve arról, ha némi kis multimédiás dolgokat is szeretnénk ezen futtatni, jobb azt a frissebb kernellel tenni.
Csomagkezelő...hát igen, már az említett Precise beépített csomagkezelője sem hoz fel mindent, amit eddig simán felhozott, de a csomagkezelő felfrissítése után azért még meglepően sok dolgot, és függőségeket is megtalál, és lehoz még ma is, bár nem tudom, meddig fogja ezt megtenni. Azt tudom, hogy az egyik Precise 571 Puppymon -erről írok éppen- a vicc kedvéért feltettem a mostani, új FindRun (alapból nics a Puppykban!) programot, amihez a Githubon két függőséget írnak, hogy az kell hozzá. Ja, csak éppen azt nem írták oda, hogy a Puppy Linuxokhoz meg még jóval több is kell, és mit ad Isten, ezek a Precise 571 Puppy csomagkezelőjéből simán telepíthetőek voltak, és a program megfelelően fut az öreg masinán és a Precise 571 Puppyn.
Kép
Szóval ezért is célszerű inkább a valamennyire modernebb Puppy verzióval kezdeni, mert ahhoz még az esetleg kellő függőségek is beszerezhetőek -nem mindig, sajnos!- még jelenleg, a régebbiekhez meg a Net-ről kell fájdalmasan sok energiával összeszedegetni azokat, már, ha megtaláljuk őket egyáltalán.
Ja, és még egy talán nem elhanyagolható szempont, mint a képen is látható az ikonoknál, (RadioShure) ezen a Puppy verzión teljesen jól működik a Wine is! :)

Avatar
S-kami
Adminisztrátor
Hozzászólások: 917
Csatlakozott: 2014.04.16. 12:54
Kapcsolat:

Re: Precise-5.5.94 újra

Hozzászólás Szerző: S-kami » 2019.01.07. 14:11

A Puppy egész egyszerűen megállt, nem fejlődik.
Egyrészt ennek a csomagkezelő az oka, másrészt az időhiány.
Senki nem ér rá fejlesztgetni, követni a változásokat folyamatosan, egész egyszerűen erre nincs ideje senkinek már.

Ezzel ellentétben más rendszerek fejlődnek, gyorsulnak és egyre hatékonyabbak.
Példának hozhatjuk az Alpine linuxot, ami a leggyorsabb és vitán felül a leghatékonyabb és leg letisztultabb, bár még mindig kissé fapados, viszont egyre nagyon táborra tesz szert.

Összességében ez az, amivé a Puppy linuxnak válnia kellett volna:


A minimál Devuan telepítés is jó megoldás lehet, hiszen az is nagyon szépen fut egyébként, ha nincs szükségünk annyi mindenre, itt felhívnám a figyelmet a memória használatra !!!!


...és végezetül ezt a videót azért készítettem, mert segítséget kértek egy régi, nagyon öreg, vacak géphez és tökéletesen bevált olyan embereknek, akik soha nem értettek a géphez:


...és végezetül az általam annyit dícsért és magasztalt rendszer, amit egyszerűen imádok:
Puppy linux ! Mert megérdemlem !
Gyertek fel a csetre ! Katt ide a csevegéshez: https://discord.gg/74tBqJk

Válasz küldése

Vissza: “Pupletek”